Page MenuHomePhabricator | MITK

DataNode Property getter should regard base data properties if necessary
Closed, ResolvedPublic

Description

To avoid the proplem of properties that are part of the data but also rendering relevant, the following strategy should be implemented.

  • If the getter does not find something on the node level and a base data is set, it should check in the data node. If it got the property this should be returned.
  • Getter Functions should be extended to allow the selection of old or new strategy (new style is default). User IPropertyOwner as a signature template.

Open question

  • Should be the old style be default (no data look up) or the new one (data look up)

Event Timeline

floca updated the task description. (Show Details)Nov 17 2017, 3:13 PM
floca renamed this task from DataNode should look up "down to" base data to DataNode Property getter should regard base data properties if necessary.Nov 20 2017, 10:50 AM
kislinsk claimed this task.Dec 12 2017, 4:36 AM
kislinsk closed this task as Resolved.Dec 12 2017, 5:38 AM